### Method

# Gsk RenderNodewrite_to_file

#### Declaration [src]

    gboolean
    gsk_render_node_write_to_file (
      GskRenderNode* node,
      const char* filename,
      GError** error
    )

#### Description [src]

This function is equivalent to calling `gsk_render_node_serialize()` followed by `g_file_set_contents()`.

See those two functions for details on the arguments.

It is mostly intended for use inside a debugger to quickly dump a render node to a file for later inspection.

#### Parameters

`filename`

  Type: `const char*`

  The file to save it to.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if saving was successful.